| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__OSMOLicenseInfo Struct Reference
General Utility Interfaces

Mobile License Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
int * | Available
| The number of available OSMO licenses. More...
int * | InUse
| The number of OSMO licenses currently in use. More...
int * | Maximum24hUsage
| The maximum value of the InUse attribute that has been reported during the last 24 hours. More...
int * | CustomerViolations
| The maximum number of times the OSMO license usage may exceed the number of available OSMO licenses. More...
int * | CustomerViolationLimit
| The maximum number of times the OSMO license usage has exceeded the number of available OSMO licenses. More...
xsd__boolean | Enabled
| A Boolean flag indicating whether OSMO licensing is installed in the system. More...
int * | RemainingDays
| The number of remaining days until the license expires. More...

## Detailed Description

Mobile License Information.

It controls the number of mobile devices subscribed to the system.

## Member Data Documentation

## ◆ Available

int* unsp__OSMOLicenseInfo::Available

The number of available OSMO licenses.

When OSMO licensing is not installed this counter is set to 0.

## ◆ CustomerViolationLimit

int* unsp__OSMOLicenseInfo::CustomerViolationLimit

The maximum number of times the OSMO license usage has exceeded the number of available OSMO licenses.

When OSMO licensing is not installed this counter is set to 0.

## ◆ CustomerViolations

int* unsp__OSMOLicenseInfo::CustomerViolations

The maximum number of times the OSMO license usage may exceed the number of available OSMO licenses.

When OSMO licensing is not installed this counter is set to 0.

## ◆ Enabled

xsd__boolean unsp__OSMOLicenseInfo::Enabled

A Boolean flag indicating whether OSMO licensing is installed in the system.

## ◆ InUse

int* unsp__OSMOLicenseInfo::InUse

The number of OSMO licenses currently in use.

When OSMO licensing is not installed this counter is set to 0.

## ◆ Maximum24hUsage

int* unsp__OSMOLicenseInfo::Maximum24hUsage

The maximum value of the InUse attribute that has been reported during the last 24 hours.

When OSMO licensing is not installed this counter is set to 0.

## ◆ RemainingDays

int* unsp__OSMOLicenseInfo::RemainingDays

The number of remaining days until the license expires.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h